Package ghidra.program.model.data

# Interface InternalDataTypeComponent

All Superinterfaces:
  `DataTypeComponent`

All Known Implementing Classes:
  `DataTypeComponentImpl`

public interface InternalDataTypeComponent extends DataTypeComponent

- ## Field Summary

  ### Fields inherited from interface ghidra.program.model.data.DataTypeComponent

  `DEFAULT_FIELD_NAME_PREFIX`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `cleanupFieldName(String name)`
  Modify field name to transform whitespace chars to underscores after triming and checking for empty string.
  `void`
  `setDataType(DataType dataType)`
  Sets the DataType for this component.
  `static String`
  `toString(DataTypeComponent c)`
  `void`
  `update(int ordinal, int offset, int length)`
  Update component ordinal, offset and length during alignment

  ### Methods inherited from interface ghidra.program.model.data.DataTypeComponent

  `getComment, getDataType, getDefaultFieldName, getDefaultSettings, getEndOffset, getFieldName, getLength, getOffset, getOrdinal, getParent, isBitFieldComponent, isDefaultFieldName, isEquivalent, isUndefined, isZeroBitFieldComponent, setComment, setFieldName`

- ## Method Details

  - ### setDataType

    void setDataType(DataType dataType)
    Sets the DataType for this component. Must be used carefully since the component will not be resized.
    Parameters:
      `dataType` - the new DataType for this component

  - ### update

    void update(int ordinal, int offset, int length)
    Update component ordinal, offset and length during alignment
    Parameters:
      `ordinal` - updated ordinal
      `offset` - updated offset
      `length` - updated byte length

  - ### toString

    static String toString(DataTypeComponent c)

  - ### cleanupFieldName

    static String cleanupFieldName(String name)
    Modify field name to transform whitespace chars to underscores after triming and checking for empty string. Empty string is returned as null for storage to indicate default name use.
    Parameters:
      `name` - original field name (may be null)
    Returns:
      revised field name (may be null)